Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::PercFlut Class Reference

STK percussive flute FM synthesis instrument. More...

`#include <PercFlut.h>`

Inheritance diagram for stk::PercFlut:

List of all members.

## Public Member Functions
| PercFlut (void)
| Class constructor.
| ~PercFlut (void)
| Class destructor.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK percussive flute FM synthesis instrument.

This class implements algorithm 4 of the TX81Z.

        Algorithm 4 is :   4->3--\
                              2-- + -->1-->Out

Control Change Numbers:

- Total Modulator Index = 2
- Modulator Crossfade = 4
- LFO Speed = 11
- LFO Depth = 1
- ADSR 2 & 4 Target = 128

The basic Chowning/Stanford FM patent expired in 1995, but there exist follow-on patents, mostly assigned to Yamaha. If you are of the type who should worry about this (making money) worry away.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::PercFlut::PercFlut | ( | void |  | ) |

Class constructor.

An StkError will be thrown if the rawwave path is incorrectly set.

The documentation for this class was generated from the following file:

- PercFlut.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.